package com.mcwl.memberCenter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.memberCenter.domain.MemberBenefit;
import com.mcwl.memberCenter.domain.dto.MemberBenefitDto;
import com.mcwl.memberCenter.domain.vo.MemberBenefitVO;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

public interface MemberBenefitService extends IService<MemberBenefit> {


    List<MemberBenefitVO> getMemberBenefitList();

    MemberBenefitVO getMemberBenefit(Long memberLevelId);

    void addMemberBenefit(MemberBenefitDto memberBenefitDto);

    void deleteByMemberLevelId(Long memberLevelId);
}
